petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSNESSetPicard

set SNES Picard iteration matrix and RHS evaluation functions.

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetPicard(DM dm,PetscErrorCode (*b)(SNES,Vec,Vec,void*),PetscErrorCode (*J)(SNES,Vec,Mat,Mat,void*),void *ctx)

Not Collective

### Input Argument

| dm | - DM to be used with SNES
| b | - RHS evaluation function
| J | - Picard matrix evaluation function
| ctx | - context for residual evaluation

### See Also

SNESSetPicard(), DMSNESSetFunction(), DMSNESSetJacobian()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages